List of backups.
Retrieves all lists of backups for all MariaDB clusters in this contract.
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
The maximum number of elements to return. Use together with 'offset' for pagination.
100Example: 100The first element to return. Use together with 'limit' for pagination.
0Example: 200Successful operation.
Pagination information in list responses.
The unique ID of the resource.
498ae72f-411f-11eb-9d07-046c59cc737eThe offset specified in the request (if none was specified, the default offset is 0).
0Example: 200The limit specified in the request (if none was specified, the default limit is 100).
100Example: 100The total number of elements matching the request (without pagination).
0Example: 200Parse error.
Authentication error.
Unauthorized.
Not Found.
Unsupported HTTP method.
Unsupported content type.
Validation error.
Request rate limit exceeded.
Server error.
Maintenance.
GET /backups HTTP/1.1
Host: mariadb.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "498ae72f-411f-11eb-9d07-046c59cc737e",
"items": [
{
"id": "498ae72f-411f-11eb-9d07-046c59cc737e",
"properties": {
"clusterId": "498ae72f-411f-11eb-9d07-046c59cc737e",
"location": "de",
"earliestRecoveryTargetTime": "2021-10-23T01:21:10Z",
"size": 2052,
"baseBackups": [
{
"created": "2020-12-10T13:37:50+01:00",
"size": 543
}
]
}
}
],
"offset": 200,
"limit": 100,
"total": 200,
"_links": {
"prev": "<PREVIOUS-PAGE-URI>",
"self": "<THIS-PAGE-URI>",
"next": "<NEXT-PAGE-URI>"
}
}Last updated
Was this helpful?